import type { RouteRecordRaw } from 'vue-router';

import { HugeAi, SvgPPT, SvgSpider, SvgWord } from '@vben/icons';

const routes: RouteRecordRaw[] = [
  {
    name: 'ai',
    path: '/ai',
    meta: {
      icon: HugeAi,
      title: 'AI工作流',
      order: 4,
      authority: ['ai'],
    },
    children: [
      {
        name: 'spider',
        path: '/ai/spider',
        component: () => import('#/views/spider/index.vue'),
        meta: {
          icon: SvgSpider,
          title: 'AI平台信息获取',
          order: 1,
          authority: ['ai:spider'],
        },
      },
      {
        name: 'word',
        path: '/ai/word',
        component: () => import('#/views/word/index.vue'),
        meta: {
          icon: SvgWord,
          title: 'AI申报书WORD生成',
          order: 2,
          authority: ['ai:word'],
        },
      },
      {
        name: 'ppt',
        path: '/ai/ppt',
        component: () => import('#/views/ppt/index.vue'),
        meta: {
          icon: SvgPPT,
          title: 'AI申报书PPT生成',
          order: 3,
          authority: ['ai:ppt'],
        },
      },
    ],
  },
];

export default routes;
